# PATCH /component-instances/:instance_id

**Resource:** [COMPONENTS](./components.md)  
**MCP tool:** `update_component_instance`  
**Scopes:** `products:write`  
**Write operation:** yes

Update a component instance. The product and opportunity it belongs to cannot be changed. Pass only the fields you want to change (e.g. status, attributes).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `instance_id` | path | string | yes |  |
| `label` | body | string | no |  |
| `status` | body | string | no |  |
| `attributes` | body | object | no |  |
| `external_ref` | body | string | no |  |
| `source` | body | string | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/component-instances/:instance_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"label":"...","status":"...","attributes":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`